| iTool User's Guide: Property Sheets and Browsers |

## File Writers

Select this folder to edit file write preferences and properties. Available file writer types and their editable properties are shown in the following tables. For more information on writing data of various types, see Importing and Exporting Data.

#### ASCII text

The ASCII text File Writer properties are:

Table 6-15: ASCII Text File Writer Properties

Table 6-15: ASCII Text File Writer Properties
Property | Control Type: Values
--- | ---
Separator | Enter a value. Default = None
Use default format | Boolean: Use default format? Choose True or False. Default = True
Format string | Number: Enter a number to change the value. Default = `G9.2`

#### Binary data

The Binary data File Writer properties are:

Table 6-16: Binary Data File Writer Properties

Table 6-16: Binary Data File Writer Properties
Property | Control Type: Values
--- | ---
Byte ordering | String List: Byte ordering type. Select from the list. Choose between these values: Native Little endian Big endian Default = Native

#### Encapsulated Postscript

The Encapsulated Postscript File Writer properties are:

Table 6-17: Encapsulated Postscript File Writer Properties

Table 6-17: Encapsulated Postscript File Writer Properties
Property | Control Type: Values
--- | ---
Graphics format | Bitmap or Vector: Render graphics using bitmap or vector output Note - Only a Window or View can be exported to EPS.
Color model | RGB or CMYK

#### Graphics Interchange Format

The Graphics Interchange Format (GIF) File Writer properties are:

Table 6-18: GIF File Writer Properties

Table 6-18: GIF File Writer Properties
Property | Control Type: Values
--- | ---
None | The Graphics Interchange Format File Writer has no configurable properties other than Name and Description.

#### iTools State

The iTools State File Writer properties are:

Table 6-19: iTools State File Writer Properties

Table 6-19: iTools State File Writer Properties
Property | Control Type: Values
--- | ---
None | The iTool State File Writer has no configurable properties other than Name and Description.

#### Joint Photographic Experts Group

The Joint Photographic Experts Group File Writer properties are:

Table 6-20: Joint Photographic Experts Group File Writer Properties

Table 6-20: Joint Photographic Experts Group File Writer Properties
Property | Control Type: Values
--- | ---
Color | String List: Select a depth from the list. Choose between these values: TrueColor Grayscale Default = TrueColor
Quality | Number: Factor from 0 - 100 determining the level of quality. Move slider to change the level. Default = `75`

#### JPEG2000

The JPEG2000 File Writer properties are:

Table 6-21: JPEG2000 File Writer Properties

Table 6-21: JPEG2000 File Writer Properties
Property | Control Type: Values
--- | ---
Reversible | Boolean: Use reversible (lossless) compression.
Wavelet levels | Number: The number of wavelet decomposition levels, or stages, in the range of 0...15. Higher values take longer to store and read, but may give better compression. The default is 5.
Quality layers | Number: A positive integer specifying the number of quality layers. Each layer contains the information required to represent the image at a higher quality, given the information from all the previous layers. A larger number of layers takes longer to encode and produces a larger file, but provides more flexibility when decoding.

#### Macintosh PICT

The Macintosh PICT File Writer properties are:

Table 6-22: Macintosh PICT File Writer Properties

Table 6-22: Macintosh PICT File Writer Properties
Property | Control Type: Values
--- | ---
None | The Macintosh PICT File Writer has no configurable properties other than Name and Description.

#### Portable Network Graphics

The Portable Network Graphics File Writer properties are:

Table 6-23: Portable Network Graphics File Writer Properties

Table 6-23: Portable Network Graphics File Writer Properties
Property | Control Type: Values
--- | ---
Bit depth | String List: Bit depth in bits. Select a depth from the list. Choose between these values: Automatic 8 bit 24 bit Default = Automatic

#### Tag Image File Format

The Tag Image File Format File Writer properties are:

Table 6-24: Tag Image File Format File Writer Properties

Table 6-24: Tag Image File Format File Writer Properties
Property | Control Type: Values
--- | ---
Bit depth | String List: Bit depth in bits. Select a depth from the list. Choose between these values: Automatic 8 bit 24 bit Default = Automatic
Compression | String List: Compression type. Select a type from the list. Choose between these values: None Packbits JPEG Default = None

#### Windows Bitmap

The Windows Bitmap File Writer properties are:

Table 6-25: Windows Bitmap File Writer Properties

Table 6-25: Windows Bitmap File Writer Properties
Property | Control Type: Values
--- | ---
Bit depth | String List: Bit depth in bits. Select a depth from the list. Choose between these values: Automatic 8 bit 24 bit Default = Automatic

#### Windows Enhanced Metafile

The Windows Enhanced Metafile File Writer properties are:

Table 6-26: Windows Enhanced Metafile File Writer Properties

Table 6-26: Windows Enhanced Metafile File Writer Properties
Property | Control Type: Values
--- | ---
Graphics format | Bitmap or Vector: Render graphics using bitmap or vector output Note - Only a Window or View can be exported to EMF.

IDL Online Help (March 01, 2006)